<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_60) on Tue Apr 26 16:24:20 CEST 2016 -->
<title>Uses of Class aasbo.json.JSONObject</title>
<meta name="date" content="2016-04-26">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class aasbo.json.JSONObject";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?aasbo/json/class-use/JSONObject.html" target="_top">Frames</a></li>
<li><a href="JSONObject.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class aasbo.json.JSONObject" class="title">Uses of Class<br>aasbo.json.JSONObject</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#aasbo">aasbo</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#aasbo.json">aasbo.json</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#aasbo.listeners">aasbo.listeners</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#aasbo.socket">aasbo.socket</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="aasbo">
<!--   -->
</a>
<h3>Uses of <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a> in <a href="../../../aasbo/package-summary.html">aasbo</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../aasbo/package-summary.html">aasbo</a> with parameters of type <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Main.</span><code><span class="memberNameLink"><a href="../../../aasbo/Main.html#onMessage-aasbo.json.JSONObject-">onMessage</a></span>(<a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a>&nbsp;obj)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="aasbo.json">
<!--   -->
</a>
<h3>Uses of <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a> in <a href="../../../aasbo/json/package-summary.html">aasbo.json</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../aasbo/json/package-summary.html">aasbo.json</a> declared as <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a>[]</code></td>
<td class="colLast"><span class="typeNameLabel">JSONWriter.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONWriter.html#stack">stack</a></span></code>
<div class="block">The object/array stack.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../aasbo/json/package-summary.html">aasbo.json</a> that return <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONObject.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONObject.html#accumulate-java.lang.String-java.lang.Object-">accumulate</a></span>(java.lang.String&nbsp;key,
          java.lang.Object&nbsp;value)</code>
<div class="block">Accumulate values under a key.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONObject.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONObject.html#append-java.lang.String-java.lang.Object-">append</a></span>(java.lang.String&nbsp;key,
      java.lang.Object&nbsp;value)</code>
<div class="block">Append values to the array under a key.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONArray.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONArray.html#getJSONObject-int-">getJSONObject</a></span>(int&nbsp;index)</code>
<div class="block">Get the JSONObject associated with an index.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONObject.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONObject.html#getJSONObject-java.lang.String-">getJSONObject</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Get the JSONObject value associated with a key.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONObject.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONObject.html#increment-java.lang.String-">increment</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Increment a property of a JSONObject.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONArray.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONArray.html#optJSONObject-int-">optJSONObject</a></span>(int&nbsp;index)</code>
<div class="block">Get the optional JSONObject associated with an index.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONObject.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONObject.html#optJSONObject-java.lang.String-">optJSONObject</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Get an optional JSONObject associated with a key.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONObject.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONObject.html#put-java.lang.String-boolean-">put</a></span>(java.lang.String&nbsp;key,
   boolean&nbsp;value)</code>
<div class="block">Put a key/boolean pair in the JSONObject.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONObject.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONObject.html#put-java.lang.String-java.util.Collection-">put</a></span>(java.lang.String&nbsp;key,
   java.util.Collection&lt;?&gt;&nbsp;value)</code>
<div class="block">Put a key/value pair in the JSONObject, where the value will be a
 JSONArray which is produced from a Collection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONObject.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONObject.html#put-java.lang.String-double-">put</a></span>(java.lang.String&nbsp;key,
   double&nbsp;value)</code>
<div class="block">Put a key/double pair in the JSONObject.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONObject.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONObject.html#put-java.lang.String-int-">put</a></span>(java.lang.String&nbsp;key,
   int&nbsp;value)</code>
<div class="block">Put a key/int pair in the JSONObject.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONObject.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONObject.html#put-java.lang.String-long-">put</a></span>(java.lang.String&nbsp;key,
   long&nbsp;value)</code>
<div class="block">Put a key/long pair in the JSONObject.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONObject.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONObject.html#put-java.lang.String-java.util.Map-">put</a></span>(java.lang.String&nbsp;key,
   java.util.Map&lt;?,?&gt;&nbsp;value)</code>
<div class="block">Put a key/value pair in the JSONObject, where the value will be a
 JSONObject which is produced from a Map.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONObject.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONObject.html#put-java.lang.String-java.lang.Object-">put</a></span>(java.lang.String&nbsp;key,
   java.lang.Object&nbsp;value)</code>
<div class="block">Put a key/value pair in the JSONObject.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONObject.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONObject.html#putOnce-java.lang.String-java.lang.Object-">putOnce</a></span>(java.lang.String&nbsp;key,
       java.lang.Object&nbsp;value)</code>
<div class="block">Put a key/value pair in the JSONObject, but only if the key and the value
 are both non-null, and only if there is not already a member with that
 name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONObject.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONObject.html#putOpt-java.lang.String-java.lang.Object-">putOpt</a></span>(java.lang.String&nbsp;key,
      java.lang.Object&nbsp;value)</code>
<div class="block">Put a key/value pair in the JSONObject, but only if the key and the value
 are both non-null.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">CDL.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/CDL.html#rowToJSONObject-aasbo.json.JSONArray-aasbo.json.JSONTokener-">rowToJSONObject</a></span>(<a href="../../../aasbo/json/JSONArray.html" title="class in aasbo.json">JSONArray</a>&nbsp;names,
               <a href="../../../aasbo/json/JSONTokener.html" title="class in aasbo.json">JSONTokener</a>&nbsp;x)</code>
<div class="block">Produce a JSONObject from a row of comma delimited text, using a
 parallel JSONArray of strings to provides the names of the elements.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONArray.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONArray.html#toJSONObject-aasbo.json.JSONArray-">toJSONObject</a></span>(<a href="../../../aasbo/json/JSONArray.html" title="class in aasbo.json">JSONArray</a>&nbsp;names)</code>
<div class="block">Produce a JSONObject by combining a JSONArray of names with the values of
 this JSONArray.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">Property.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/Property.html#toJSONObject-java.util.Properties-">toJSONObject</a></span>(java.util.Properties&nbsp;properties)</code>
<div class="block">Converts a property file object into a JSONObject.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">XML.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/XML.html#toJSONObject-java.lang.String-">toJSONObject</a></span>(java.lang.String&nbsp;string)</code>
<div class="block">Convert a well-formed (but not necessarily valid) XML string into a
 JSONObject.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">HTTP.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/HTTP.html#toJSONObject-java.lang.String-">toJSONObject</a></span>(java.lang.String&nbsp;string)</code>
<div class="block">Convert an HTTP header string into a JSONObject.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONML.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONML.html#toJSONObject-java.lang.String-">toJSONObject</a></span>(java.lang.String&nbsp;string)</code>
<div class="block">Convert a well-formed (but not necessarily valid) XML string into a
 JSONObject using the JsonML transform.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">Cookie.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/Cookie.html#toJSONObject-java.lang.String-">toJSONObject</a></span>(java.lang.String&nbsp;string)</code>
<div class="block">Convert a cookie specification string into a JSONObject.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">CookieList.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/CookieList.html#toJSONObject-java.lang.String-">toJSONObject</a></span>(java.lang.String&nbsp;string)</code>
<div class="block">Convert a cookie list into a JSONObject.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONML.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONML.html#toJSONObject-aasbo.json.XMLTokener-">toJSONObject</a></span>(<a href="../../../aasbo/json/XMLTokener.html" title="class in aasbo.json">XMLTokener</a>&nbsp;x)</code>
<div class="block">Convert a well-formed (but not necessarily valid) XML string into a
 JSONObject using the JsonML transform.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../aasbo/json/package-summary.html">aasbo.json</a> with parameters of type <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String[]</code></td>
<td class="colLast"><span class="typeNameLabel">JSONObject.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONObject.html#getNames-aasbo.json.JSONObject-">getNames</a></span>(<a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a>&nbsp;jo)</code>
<div class="block">Get an array of field names from a JSONObject.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static boolean</code></td>
<td class="colLast"><span class="typeNameLabel">XML.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/XML.html#parse-aasbo.json.XMLTokener-aasbo.json.JSONObject-java.lang.String-">parse</a></span>(<a href="../../../aasbo/json/XMLTokener.html" title="class in aasbo.json">XMLTokener</a>&nbsp;x,
     <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a>&nbsp;context,
     java.lang.String&nbsp;name)</code>
<div class="block">Scan the content following the named tag, attaching it to the context.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">JSONWriter.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONWriter.html#push-aasbo.json.JSONObject-">push</a></span>(<a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a>&nbsp;jo)</code>
<div class="block">Push an array or object scope.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.Properties</code></td>
<td class="colLast"><span class="typeNameLabel">Property.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/Property.html#toProperties-aasbo.json.JSONObject-">toProperties</a></span>(<a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a>&nbsp;jo)</code>
<div class="block">Converts the JSONObject into a property file object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><span class="typeNameLabel">HTTP.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/HTTP.html#toString-aasbo.json.JSONObject-">toString</a></span>(<a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a>&nbsp;jo)</code>
<div class="block">Convert a JSONObject into an HTTP header.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><span class="typeNameLabel">JSONML.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONML.html#toString-aasbo.json.JSONObject-">toString</a></span>(<a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a>&nbsp;jo)</code>
<div class="block">Reverse the JSONML transformation, making an XML text from a JSONObject.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><span class="typeNameLabel">Cookie.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/Cookie.html#toString-aasbo.json.JSONObject-">toString</a></span>(<a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a>&nbsp;jo)</code>
<div class="block">Convert a JSONObject into a cookie specification string.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><span class="typeNameLabel">CookieList.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/CookieList.html#toString-aasbo.json.JSONObject-">toString</a></span>(<a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a>&nbsp;jo)</code>
<div class="block">Convert a JSONObject into a cookie list.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../aasbo/json/package-summary.html">aasbo.json</a> with parameters of type <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONObject.html#JSONObject-aasbo.json.JSONObject-java.lang.String:A-">JSONObject</a></span>(<a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a>&nbsp;jo,
          java.lang.String[]&nbsp;names)</code>
<div class="block">Construct a JSONObject from a subset of another JSONObject.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="aasbo.listeners">
<!--   -->
</a>
<h3>Uses of <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a> in <a href="../../../aasbo/listeners/package-summary.html">aasbo.listeners</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../aasbo/listeners/package-summary.html">aasbo.listeners</a> with parameters of type <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ClientListener.</span><code><span class="memberNameLink"><a href="../../../aasbo/listeners/ClientListener.html#onMessage-aasbo.json.JSONObject-">onMessage</a></span>(<a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a>&nbsp;obj)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">WebSocketClientListener.</span><code><span class="memberNameLink"><a href="../../../aasbo/listeners/WebSocketClientListener.html#onMessage-aasbo.json.JSONObject-">onMessage</a></span>(<a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a>&nbsp;obj)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="aasbo.socket">
<!--   -->
</a>
<h3>Uses of <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a> in <a href="../../../aasbo/socket/package-summary.html">aasbo.socket</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../aasbo/socket/package-summary.html">aasbo.socket</a> with parameters of type <a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">WebSocket.</span><code><span class="memberNameLink"><a href="../../../aasbo/socket/WebSocket.html#onMessage-aasbo.json.JSONObject-">onMessage</a></span>(<a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a>&nbsp;obj)</code>
<div class="block">Alle klienter bruker denne metoden når de sender en melding til serveren
 Varsler alle listeners om at en klient har send en medling</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../aasbo/json/JSONObject.html" title="class in aasbo.json">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?aasbo/json/class-use/JSONObject.html" target="_top">Frames</a></li>
<li><a href="JSONObject.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
